lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'resource_manager/version'

Gem::Specification.new do |spec|
  spec.name          = 'resource_manager'
  spec.version       = ResourceManager::VERSION
  spec.authors       = ['Gleb Sinyavsky']
  spec.email         = ['zhulik.gleb@gmail.com']
  spec.summary       = %q{Base for service objects that encapsulates model actions and callbacks}
  spec.description   = %q{Base for service objects that encapsulates model actions and callbacks}
  spec.homepage      = 'https://github.com/zhulik/resource_manager'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'coveralls', '~> 0.7'
  spec.add_development_dependency 'rspec',  '~> 2.14'
  spec.add_development_dependency 'simplecov-html',  '~> 0.8'
  spec.add_development_dependency 'mocha',  '~> 1.1'

  spec.add_runtime_dependency 'activesupport',  '>= 4.1'
end
